Company_id
curl --request GET \
--url https://api.themoviedb.org/3/search/company \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/company"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"id": 3268,
"logo_path": "/tuomPhY2UtuPTqqFnKMVHvSb724.png",
"name": "HBO",
"origin_country": "US"
},
{
"id": 142414,
"logo_path": "/tC3oVZvqpwhAG1uSjpMnmj4nW3O.png",
"name": "HBO Asia",
"origin_country": "SG"
},
{
"id": 143571,
"logo_path": null,
"name": "HBO Showcase",
"origin_country": ""
},
{
"id": 14914,
"logo_path": "/1RZBWz53SpHUTLpRcM8BGv2plIP.png",
"name": "HBO Documentary Films",
"origin_country": "US"
},
{
"id": 119349,
"logo_path": null,
"name": "HBO Central Europe",
"origin_country": ""
},
{
"id": 147188,
"logo_path": null,
"name": "HBO / Cinemax",
"origin_country": ""
},
{
"id": 7429,
"logo_path": "/6in9uMqxXEHx5XgYgkeRBpZ4rPw.png",
"name": "HBO Films",
"origin_country": "US"
},
{
"id": 158691,
"logo_path": "/s5ELD35ShWgVKQxgERHM2iP5bXA.png",
"name": "HBO Max",
"origin_country": "US"
},
{
"id": 21222,
"logo_path": "/baMruKL2uRhJ1Soi4flSHVzXIH2.png",
"name": "HBO Independent Productions",
"origin_country": "US"
},
{
"id": 27289,
"logo_path": null,
"name": "HBO Bulgaria",
"origin_country": ""
},
{
"id": 128608,
"logo_path": null,
"name": "H-Bomb Films",
"origin_country": ""
},
{
"id": 37659,
"logo_path": "/zfouUSOEq718TbB9YqN9OylPtD7.png",
"name": "HBO Polska",
"origin_country": "PL"
},
{
"id": 136561,
"logo_path": "/mReKmOZLemFcWlMocCwiq3XbsbB.png",
"name": "HBO Europe",
"origin_country": "CZ"
},
{
"id": 44618,
"logo_path": "/vh38lPSFvesAuOQ8r5TrUT9Vur5.png",
"name": "HBO Latin America",
"origin_country": ""
},
{
"id": 67207,
"logo_path": null,
"name": "HBO Downtown Productions",
"origin_country": ""
},
{
"id": 11489,
"logo_path": null,
"name": "HBO/Cinemax Documentary",
"origin_country": ""
},
{
"id": 13670,
"logo_path": null,
"name": "HBO Romania",
"origin_country": "RO"
},
{
"id": 6751,
"logo_path": "/giPzzhPdiNloiuwo7qLagRn5uGH.png",
"name": "HBO Sports",
"origin_country": "US"
},
{
"id": 187379,
"logo_path": "/s5ELD35ShWgVKQxgERHM2iP5bXA.png",
"name": "HBO Max",
"origin_country": "CZ"
},
{
"id": 6107,
"logo_path": null,
"name": "HBO Česká republika",
"origin_country": "CZ"
}
],
"total_pages": 2,
"total_results": 24
}COMPANY
Company_id
This endpoint is used to get the Company_id
GET
/
3
/
search
/
company
Company_id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The name of the company we are retrieving its company id.
Example:
"HBO"
Indicates which page of results to return. Default is the first page (1).
Example:
1
Response
200 - application/json
company_id
The current page number in the paginated results.
Example:
1
This provides specific information about a particular HBO brand.
Show child attributes
Show child attributes
Example:
[ { "id": 3268, "logo_path": "/tuomPhY2UtuPTqqFnKMVHvSb724.png", "name": "HBO", "origin_country": "US" }, { "id": 142414, "logo_path": "/tC3oVZvqpwhAG1uSjpMnmj4nW3O.png", "name": "HBO Asia", "origin_country": "SG" }, { "id": 143571, "logo_path": null, "name": "HBO Showcase", "origin_country": "" }, { "id": 14914, "logo_path": "/1RZBWz53SpHUTLpRcM8BGv2plIP.png", "name": "HBO Documentary Films", "origin_country": "US" }, { "id": 119349, "logo_path": null, "name": "HBO Central Europe", "origin_country": "" }, { "id": 147188, "logo_path": null, "name": "HBO / Cinemax", "origin_country": "" }, { "id": 7429, "logo_path": "/6in9uMqxXEHx5XgYgkeRBpZ4rPw.png", "name": "HBO Films", "origin_country": "US" }, { "id": 158691, "logo_path": "/s5ELD35ShWgVKQxgERHM2iP5bXA.png", "name": "HBO Max", "origin_country": "US" }, { "id": 21222, "logo_path": "/baMruKL2uRhJ1Soi4flSHVzXIH2.png", "name": "HBO Independent Productions", "origin_country": "US" }, { "id": 27289, "logo_path": null, "name": "HBO Bulgaria", "origin_country": "" }, { "id": 128608, "logo_path": null, "name": "H-Bomb Films", "origin_country": "" }, { "id": 37659, "logo_path": "/zfouUSOEq718TbB9YqN9OylPtD7.png", "name": "HBO Polska", "origin_country": "PL" }, { "id": 136561, "logo_path": "/mReKmOZLemFcWlMocCwiq3XbsbB.png", "name": "HBO Europe", "origin_country": "CZ" }, { "id": 44618, "logo_path": "/vh38lPSFvesAuOQ8r5TrUT9Vur5.png", "name": "HBO Latin America", "origin_country": "" }, { "id": 67207, "logo_path": null, "name": "HBO Downtown Productions", "origin_country": "" }, { "id": 11489, "logo_path": null, "name": "HBO/Cinemax Documentary", "origin_country": "" }, { "id": 13670, "logo_path": null, "name": "HBO Romania", "origin_country": "RO" }, { "id": 6751, "logo_path": "/giPzzhPdiNloiuwo7qLagRn5uGH.png", "name": "HBO Sports", "origin_country": "US" }, { "id": 187379, "logo_path": "/s5ELD35ShWgVKQxgERHM2iP5bXA.png", "name": "HBO Max", "origin_country": "CZ" }, { "id": 6107, "logo_path": null, "name": "HBO Česká republika", "origin_country": "CZ" } ]
The total number of pages available in the response data.
Example:
2
The total number of movie results returned from the query.
Example:
24
⌘I